# Uses of Class
org.apache.avro.Protocol.Message

Packages that use Protocol.Message
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Protocol.Message in org.apache.avro

Methods in org.apache.avro that return Protocol.Message
Modifier and Type
Method
Description
`Protocol.Message`
Protocol.`createMessage(String name, String doc, Map<String,?> propMap, Schema request)`
Create a one-way message.
`Protocol.Message`
Protocol.`createMessage(String name, String doc, Map<String,?> propMap, Schema request, Schema response, Schema errors)`
Create a two-way message.
`Protocol.Message`
Protocol.`createMessage(String name, String doc, JsonProperties propMap, Schema request)`
Create a one-way message.
`Protocol.Message`
Protocol.`createMessage(String name, String doc, JsonProperties propMap, Schema request, Schema response, Schema errors)`
Create a two-way message.
`Protocol.Message`
Protocol.`createMessage(String name, String doc, Schema request)`
Deprecated.
`Protocol.Message`
Protocol.`createMessage(String name, String doc, Schema request, Schema response, Schema errors)`
Deprecated.
`Protocol.Message`
Protocol.`createMessage(Protocol.Message m, Schema request)`
Create a one-way message using the `name`, `doc`, and `props` of `m`.
`Protocol.Message`
Protocol.`createMessage(Protocol.Message m, Schema request, Schema response, Schema errors)`
Create a two-way message using the `name`, `doc`, and `props` of `m`.
Methods in org.apache.avro that return types with arguments of type Protocol.Message
Modifier and Type
Method
Description
`Map<String,Protocol.Message>`
Protocol.`getMessages()`
The messages of this protocol.
Methods in org.apache.avro with parameters of type Protocol.Message
Modifier and Type
Method
Description
`Protocol.Message`
Protocol.`createMessage(Protocol.Message m, Schema request)`
Create a one-way message using the `name`, `doc`, and `props` of `m`.
`Protocol.Message`
Protocol.`createMessage(Protocol.Message m, Schema request, Schema response, Schema errors)`
Create a two-way message using the `name`, `doc`, and `props` of `m`.